dbXML API

## org.xmldb.api.sdk
Class SimpleResourceIterator

    java.lang.Object
      |
      +--org.xmldb.api.sdk.SimpleResourceIterator

All Implemented Interfaces:
  ResourceIterator

public class SimpleResourceIterator
extends java.lang.Object
implements ResourceIterator

ResourceIterator is used to iterate over a set of resources.

Constructor Summary
`SimpleResourceIterator()`

Method Summary
`boolean` `hasMoreResources()` Returns true as long as there are still more resources to be iterated.
`Resource` `nextResource()` Returns the next `Resource` instance in the iterator.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleResourceIterator

    public SimpleResourceIterator()

Method Detail

### hasMoreResources

    public boolean hasMoreResources()
                             throws XMLDBException

  Returns true as long as there are still more resources to be iterated.
  Specified by:
    `hasMoreResources` in interface `ResourceIterator`
  Returns:
    true if there are more resources to iterate, false otherwise.
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### nextResource

    public Resource nextResource()
                          throws XMLDBException

  Returns the next `Resource` instance in the iterator.
  Specified by:
    `nextResource` in interface `ResourceIterator`
  Returns:
    the next `Resource` instance in the iterator.
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.
    `ErrorCodes.NO_SUCH_RESOURCE` if the resource iterator is empty or all resources have already been retrieved.

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved